---
title: "Search directory"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › directory-public

`GET /v2/directory`

## Authentication

Requires one of the following:

- 
- `BearerAuth`, http, header `Authorization`

## Query parameters

- `query` (`directory-search.query.query`; string, optional)
  - maxLength 200
- `intent` (`directory-search.query.intent`; string, optional)
  - one of `"search"`, `"autocomplete"`; default `"search"`
- `subjectType` (`directory-search.query.subjectType`; string, optional)
  - one of `"person"`, `"entity"`
- `category` (`directory-search.query.category`; string, optional)
  - maxLength 255
- `location` (`directory-search.query.location`; string, optional)
  - maxLength 255
- `industry` (`directory-search.query.industry`; string, optional)
  - one of `"venture_capital"`, `"private_equity"`, `"asset_management"`, `"banking"`, `"insurance"`, `"fintech"`, `"software"`, `"information_technology"`, `"artificial_intelligence"`, `"cybersecurity"`, `"healthcare"`, `"biotechnology"`, `"pharmaceuticals"`, `"medical_devices"`, `"real_estate"`, `"construction"`, `"manufacturing"`, `"energy"`, `"renewable_energy"`, `"telecommunications"`, `"media_entertainment"`, `"retail"`, `"ecommerce"`, `"consumer_goods"`, `"food_beverage"`, `"hospitality"`, `"transportation_logistics"`, `"automotive"`, `"aerospace_defense"`, `"agriculture"`, `"education"`, `"professional_services"`, `"legal"`, `"marketing_advertising"`, `"nonprofit"`, `"government"`, `"other"`
- `country` (`directory-search.query.country`; string, optional)
  - pattern `^[A-Z]{2}$`
- `region` (`directory-search.query.region`; string, optional)
  - pattern `^[A-Z0-9]{1,3}$`
- `filings` (`directory-search.query.filings`; string, optional)
  - one of `"available"`, `"unavailable"`
- `operatingStatus` (`directory-search.query.operatingStatus`; string, optional)
  - one of `"active"`, `"acquired"`, `"defunct"`, `"unknown"`
- `fundingStage` (`directory-search.query.fundingStage`; string, optional)
  - one of `"pre_seed"`, `"seed"`, `"series_a"`, `"series_b"`, `"series_c_plus"`, `"growth"`, `"private_equity"`, `"public"`, `"bootstrapped"`, `"unknown"`
- `foundedFrom` (`directory-search.query.foundedFrom`; integer, optional)
  - min 1000; max 9999
- `foundedTo` (`directory-search.query.foundedTo`; integer, optional)
  - min 1000; max 9999
- `employeeMin` (`directory-search.query.employeeMin`; integer, optional)
  - min 0
- `employeeMax` (`directory-search.query.employeeMax`; integer, optional)
  - min 0
- `capitalProvider` (`directory-search.query.capitalProvider`; string, optional)
  - one of `"true"`
- `mandateStage` (`directory-search.query.mandateStage`; string, optional)
  - minLength 1; maxLength 120
- `mandateSector` (`directory-search.query.mandateSector`; string, optional)
  - minLength 1; maxLength 120
- `mandateGeography` (`directory-search.query.mandateGeography`; string, optional)
  - minLength 1; maxLength 120
- `mandateCheckAmount` (`directory-search.query.mandateCheckAmount`; number, optional)
  - min 0
- `mandateCheckCurrency` (`directory-search.query.mandateCheckCurrency`; string, optional)
  - minLength 3; maxLength 3
- `mandateLeadBehavior` (`directory-search.query.mandateLeadBehavior`; string, optional)
  - one of `"lead"`, `"co_lead"`, `"follow"`
- `mandateFreshness` (`directory-search.query.mandateFreshness`; string, optional)
  - one of `"current"`, `"stale"`
- `kind` (`directory-search.query.kind`; string, optional)
  - one of `"investor"`, `"operating_company"`, `"public_company"`, `"person"`, `"other"`
- `status` (`directory-search.query.status`; string, optional)
  - one of `"managed"`, `"reference"`
- `verified` (`directory-search.query.verified`; string, optional)
  - one of `"true"`, `"false"`
- `following` (`directory-search.query.following`; string, optional)
  - one of `"true"`
- `relationship` (`directory-search.query.relationship`; string, optional)
  - one of `"following"`, `"followers"`, `"connections"`
- `sort` (`directory-search.query.sort`; string, optional)
  - one of `"relevance"`, `"recent_activity"`, `"name"`, `"recently_updated"`, `"recently_added"`; default `"relevance"`
- `cursor` (`directory-search.query.cursor`; string, optional)
  - minLength 1
- `limit` (`directory-search.query.limit`; integer, optional)
  - min 1; max 100; default `20`
- `source` (`directory-search.query.source`; string, optional)
  - maxLength 100; default `"directory"`

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.sureshake.com/v2/directory
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/directory';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/directory"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": [
    {
      "listingId": "8c73d933-f7ed-437e-9da1-caac95adc1ae",
      "subjectType": "person",
      "slug": "string",
      "snapshot": {
        "identity": {
          "displayName": "string",
          "aliases": [
            "string"
          ],
          "avatarUrl": "http://example.com",
          "logoUrl": "http://example.com"
        },
        "overview": "string",
        "location": "string",
        "category": "string",
        "websiteUrl": "http://example.com",
        "socialLinks": [
          {
            "label": "string",
            "url": "http://example.com"
          }
        ],
        "experienceOrTeam": [
          {
            "property1": null,
            "property2": null
          }
        ],
        "credentials": [
          {
            "property1": null,
            "property2": null
          }
        ],
        "businessDetails": {
          "property1": null,
          "property2": null
        },
        "publicEvidence": [
          {
            "property1": null,
            "property2": null
          }
        ],
        "capitalProviderProfile": {
          "profileType": "vc_professional"
        },
        "directEmail": "user@example.com",
        "directPhone": "string",
        "streetAddress": "string",
        "composition": [
          {
            "blockType": "header",
            "visibility": "public",
            "order": 0,
            "config": {
              "property1": null,
              "property2": null
            }
          }
        ],
        "capitalProviderVerification": {
          "identity": {
            "status": "verified",
            "verifiedAt": "2019-08-24T14:15:22Z",
            "expiresAt": "2019-08-24T14:15:22Z",
            "verificationMethod": "kyc_profile",
            "exceptionId": "a16eb0e6-523c-4b01-94c0-fc566596da80"
          },
          "affiliation": {
            "status": "verified",
            "verifiedAt": "2019-08-24T14:15:22Z",
            "expiresAt": "2019-08-24T14:15:22Z",
            "verificationMethod": "accepted_current_membership_at_verified_capital_entity",
            "membershipId": "8072cc74-4782-4f2c-827c-699c48ce2092",
            "exceptionId": "a16eb0e6-523c-4b01-94c0-fc566596da80",
            "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
            "organizationName": "string",
            "organizationSlug": "string",
            "organizationType": "investor",
            "role": "string",
            "title": "string"
          }
        }
      },
      "profileKind": "investor",
      "recordOrigin": "owner_created",
      "managementStatus": "managed",
      "publicEligible": true,
      "indexEligible": true,
      "sourceCount": 0,
      "sourceCheckedAt": "2019-08-24T14:15:22Z",
      "capitalProvider": {
        "providerType": "person",
        "verified": true,
        "mandates": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string",
            "stages": [
              "string"
            ],
            "sectors": [
              "string"
            ],
            "geographies": [
              "string"
            ],
            "initialCheckMinimum": 0,
            "initialCheckMaximum": 0,
            "initialCheckCurrency": "str",
            "leadBehaviors": [
              "lead"
            ],
            "exclusions": [
              "string"
            ],
            "effectiveAt": "2019-08-24T14:15:22Z",
            "verifiedAt": "2019-08-24T14:15:22Z",
            "expiresAt": "2019-08-24T14:15:22Z",
            "freshness": {
              "status": "current",
              "warning": "string",
              "staleSince": "2019-08-24T14:15:22Z",
              "daysStale": 0
            }
          }
        ]
      },
      "facets": {
        "industry": "venture_capital",
        "country": "string",
        "region": "string",
        "city": "string",
        "hasPublicFilings": true,
        "operatingStatus": "active",
        "foundedYear": 0,
        "employeeMin": 0,
        "employeeMax": 0,
        "fundingStage": "pre_seed"
      },
      "publishedAt": "2019-08-24T14:15:22Z",
      "impressionToken": "stringstringstringst"
    }
  ],
  "pagination": {
    "nextCursor": "string",
    "hasMore": true,
    "limit": 0
  },
  "resultCount": {
    "value": 0,
    "relation": "exact"
  },
  "facets": {
    "availability": "available",
    "industries": [
      {
        "value": "venture_capital",
        "label": "string"
      }
    ]
  }
}
```

- `data` (`directory-search.response.200.data`; array<object>, required)
  - `listingId` (`directory-search.response.200.data.listingId`; string, required)
    - format `uuid`
  - `subjectType` (`directory-search.response.200.data.subjectType`; string, required)
    - one of `"person"`, `"entity"`
  - `slug` (`directory-search.response.200.data.slug`; string, required)
  - `snapshot` (`directory-search.response.200.data.snapshot`; object, required)
    - `identity` (`directory-search.response.200.data.snapshot.identity`; object, required)
      - `displayName` (`directory-search.response.200.data.snapshot.identity.displayName`; string, required)
        - minLength 1; maxLength 255
      - `aliases` (`directory-search.response.200.data.snapshot.identity.aliases`; array<string>, optional)
        - minLength 1; maxLength 255
      - `avatarUrl` (`directory-search.response.200.data.snapshot.identity.avatarUrl`; string, optional, nullable)
        - format `uri`
      - `logoUrl` (`directory-search.response.200.data.snapshot.identity.logoUrl`; string, optional, nullable)
        - format `uri`
    - `overview` (`directory-search.response.200.data.snapshot.overview`; string, optional, nullable)
      - maxLength 5000
    - `location` (`directory-search.response.200.data.snapshot.location`; string, optional, nullable)
      - maxLength 255
    - `category` (`directory-search.response.200.data.snapshot.category`; string, optional, nullable)
      - maxLength 255
    - `websiteUrl` (`directory-search.response.200.data.snapshot.websiteUrl`; string, optional, nullable)
      - format `uri`
    - `socialLinks` (`directory-search.response.200.data.snapshot.socialLinks`; array<object>, optional)
      - `label` (`directory-search.response.200.data.snapshot.socialLinks.label`; string, required)
        - minLength 1; maxLength 80
      - `url` (`directory-search.response.200.data.snapshot.socialLinks.url`; string, required)
        - format `uri`
    - `experienceOrTeam` (`directory-search.response.200.data.snapshot.experienceOrTeam`; array<map<unknown>>, optional)
    - `credentials` (`directory-search.response.200.data.snapshot.credentials`; array<map<unknown>>, optional)
    - `businessDetails` (`directory-search.response.200.data.snapshot.businessDetails`; map<unknown>, optional)
    - `publicEvidence` (`directory-search.response.200.data.snapshot.publicEvidence`; array<map<unknown>>, optional)
    - `capitalProviderProfile` (`directory-search.response.200.data.snapshot.capitalProviderProfile`; object, optional)
      - `profileType` (`directory-search.response.200.data.snapshot.capitalProviderProfile.profileType`; string, required)
        - one of `"vc_professional"`, `"angel_investor"`, `"scout"`, `"family_office_professional"`, `"accelerator_or_venture_studio"`, `"corporate_venture_professional"`, `"other_approved_capital_provider"`
    - `directEmail` (`directory-search.response.200.data.snapshot.directEmail`; string, optional, nullable)
      - format `email`
    - `directPhone` (`directory-search.response.200.data.snapshot.directPhone`; string, optional, nullable)
      - minLength 3; maxLength 50
    - `streetAddress` (`directory-search.response.200.data.snapshot.streetAddress`; string, optional, nullable)
      - minLength 3; maxLength 500
    - `composition` (`directory-search.response.200.data.snapshot.composition`; array<object>, optional)
      - `blockType` (`directory-search.response.200.data.snapshot.composition.blockType`; string, required)
        - one of `"header"`, `"trust"`, `"about"`, `"team"`, `"metrics"`, `"capital_graph"`, `"investment_criteria"`, `"portfolio"`, `"capital_marketplace"`, `"links"`, `"custom"`, `"overview"`, `"dividends"`, `"earnings_filings"`, `"models"`, `"financials"`, `"compare"`, `"health"`, `"charts"`, `"people"`, `"news"`, `"investors"`
      - `order` (`directory-search.response.200.data.snapshot.composition.order`; integer, required)
      - `visibility` (`directory-search.response.200.data.snapshot.composition.visibility`; string, optional)
        - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`; default `"public"`
      - `config` (`directory-search.response.200.data.snapshot.composition.config`; map<unknown>, optional)
    - `capitalProviderVerification` (`directory-search.response.200.data.snapshot.capitalProviderVerification`; object, optional)
      - `identity` (`directory-search.response.200.data.snapshot.capitalProviderVerification.identity`; object, required)
        - `status` (`directory-search.response.200.data.snapshot.capitalProviderVerification.identity.status`; string, required)
          - one of `"verified"`
        - `verifiedAt` (`directory-search.response.200.data.snapshot.capitalProviderVerification.identity.verifiedAt`; string, required)
          - format `date-time`
        - `expiresAt` (`directory-search.response.200.data.snapshot.capitalProviderVerification.identity.expiresAt`; string, required, nullable)
          - format `date-time`
        - `verificationMethod` (`directory-search.response.200.data.snapshot.capitalProviderVerification.identity.verificationMethod`; string, required)
          - one of `"kyc_profile"`, `"operator_exception"`
        - `exceptionId` (`directory-search.response.200.data.snapshot.capitalProviderVerification.identity.exceptionId`; string, optional, nullable)
          - format `uuid`
      - `affiliation` (`directory-search.response.200.data.snapshot.capitalProviderVerification.affiliation`; object, required)
        - `status` (`directory-search.response.200.data.snapshot.capitalProviderVerification.affiliation.status`; string, required)
          - one of `"verified"`
        - `verifiedAt` (`directory-search.response.200.data.snapshot.capitalProviderVerification.affiliation.verifiedAt`; string, required)
          - format `date-time`
        - `verificationMethod` (`directory-search.response.200.data.snapshot.capitalProviderVerification.affiliation.verificationMethod`; string, required)
          - one of `"accepted_current_membership_at_verified_capital_entity"`, `"operator_exception"`
        - `membershipId` (`directory-search.response.200.data.snapshot.capitalProviderVerification.affiliation.membershipId`; string, required, nullable)
          - format `uuid`
        - `organizationId` (`directory-search.response.200.data.snapshot.capitalProviderVerification.affiliation.organizationId`; string, required)
          - format `uuid`
        - `organizationName` (`directory-search.response.200.data.snapshot.capitalProviderVerification.affiliation.organizationName`; string, required)
          - minLength 1
        - `organizationSlug` (`directory-search.response.200.data.snapshot.capitalProviderVerification.affiliation.organizationSlug`; string, required, nullable)
          - minLength 1
        - `organizationType` (`directory-search.response.200.data.snapshot.capitalProviderVerification.affiliation.organizationType`; string, required)
          - one of `"investor"`, `"fund"`
        - `role` (`directory-search.response.200.data.snapshot.capitalProviderVerification.affiliation.role`; string, required, nullable)
          - minLength 1
        - `title` (`directory-search.response.200.data.snapshot.capitalProviderVerification.affiliation.title`; string, required, nullable)
          - minLength 1
        - `expiresAt` (`directory-search.response.200.data.snapshot.capitalProviderVerification.affiliation.expiresAt`; string, optional, nullable)
          - format `date-time`
        - `exceptionId` (`directory-search.response.200.data.snapshot.capitalProviderVerification.affiliation.exceptionId`; string, optional, nullable)
          - format `uuid`
  - `profileKind` (`directory-search.response.200.data.profileKind`; string, required)
    - one of `"investor"`, `"operating_company"`, `"public_company"`, `"person"`, `"other"`
  - `recordOrigin` (`directory-search.response.200.data.recordOrigin`; string, required)
    - one of `"owner_created"`, `"admin_seeded"`, `"public_dataset"`, `"regulatory_source"`, `"researched"`, `"relationship_discovered"`, `"legacy_migrated"`
  - `managementStatus` (`directory-search.response.200.data.managementStatus`; string, required)
    - one of `"managed"`, `"reference"`
  - `publicEligible` (`directory-search.response.200.data.publicEligible`; boolean, required)
  - `indexEligible` (`directory-search.response.200.data.indexEligible`; boolean, required)
  - `sourceCount` (`directory-search.response.200.data.sourceCount`; integer, required)
    - min 0
  - `sourceCheckedAt` (`directory-search.response.200.data.sourceCheckedAt`; string, required, nullable)
    - format `date-time`
  - `facets` (`directory-search.response.200.data.facets`; object, required)
    - `industry` (`directory-search.response.200.data.facets.industry`; string, required, nullable)
      - one of `"venture_capital"`, `"private_equity"`, `"asset_management"`, `"banking"`, `"insurance"`, `"fintech"`, `"software"`, `"information_technology"`, `"artificial_intelligence"`, `"cybersecurity"`, `"healthcare"`, `"biotechnology"`, `"pharmaceuticals"`, `"medical_devices"`, `"real_estate"`, `"construction"`, `"manufacturing"`, `"energy"`, `"renewable_energy"`, `"telecommunications"`, `"media_entertainment"`, `"retail"`, `"ecommerce"`, `"consumer_goods"`, `"food_beverage"`, `"hospitality"`, `"transportation_logistics"`, `"automotive"`, `"aerospace_defense"`, `"agriculture"`, `"education"`, `"professional_services"`, `"legal"`, `"marketing_advertising"`, `"nonprofit"`, `"government"`, `"other"`
    - `country` (`directory-search.response.200.data.facets.country`; string, required, nullable)
      - pattern `^[A-Z]{2}$`
    - `region` (`directory-search.response.200.data.facets.region`; string, required, nullable)
      - pattern `^[A-Z0-9]{1,3}$`
    - `city` (`directory-search.response.200.data.facets.city`; string, required, nullable)
    - `hasPublicFilings` (`directory-search.response.200.data.facets.hasPublicFilings`; boolean, required)
    - `operatingStatus` (`directory-search.response.200.data.facets.operatingStatus`; string, required)
      - one of `"active"`, `"acquired"`, `"defunct"`, `"unknown"`
    - `foundedYear` (`directory-search.response.200.data.facets.foundedYear`; integer, required, nullable)
    - `employeeMin` (`directory-search.response.200.data.facets.employeeMin`; integer, required, nullable)
    - `employeeMax` (`directory-search.response.200.data.facets.employeeMax`; integer, required, nullable)
    - `fundingStage` (`directory-search.response.200.data.facets.fundingStage`; string, required, nullable)
      - one of `"pre_seed"`, `"seed"`, `"series_a"`, `"series_b"`, `"series_c_plus"`, `"growth"`, `"private_equity"`, `"public"`, `"bootstrapped"`, `"unknown"`
  - `publishedAt` (`directory-search.response.200.data.publishedAt`; string, required)
    - format `date-time`
  - `impressionToken` (`directory-search.response.200.data.impressionToken`; string, required)
    - minLength 20
  - `capitalProvider` (`directory-search.response.200.data.capitalProvider`; object, optional)
    - `providerType` (`directory-search.response.200.data.capitalProvider.providerType`; string, required)
      - one of `"person"`, `"firm"`
    - `verified` (`directory-search.response.200.data.capitalProvider.verified`; boolean, required)
      - one of `true`
    - `mandates` (`directory-search.response.200.data.capitalProvider.mandates`; array<object>, required)
      - `id` (`directory-search.response.200.data.capitalProvider.mandates.id`; string, required)
        - format `uuid`
      - `name` (`directory-search.response.200.data.capitalProvider.mandates.name`; string, required)
        - minLength 1
      - `stages` (`directory-search.response.200.data.capitalProvider.mandates.stages`; array<string>, required)
        - minLength 1
      - `sectors` (`directory-search.response.200.data.capitalProvider.mandates.sectors`; array<string>, required)
        - minLength 1
      - `geographies` (`directory-search.response.200.data.capitalProvider.mandates.geographies`; array<string>, required)
        - minLength 1
      - `initialCheckMinimum` (`directory-search.response.200.data.capitalProvider.mandates.initialCheckMinimum`; number, required)
        - min 0
      - `initialCheckMaximum` (`directory-search.response.200.data.capitalProvider.mandates.initialCheckMaximum`; number, required)
        - min 0
      - `initialCheckCurrency` (`directory-search.response.200.data.capitalProvider.mandates.initialCheckCurrency`; string, required)
        - minLength 3; maxLength 3
      - `leadBehaviors` (`directory-search.response.200.data.capitalProvider.mandates.leadBehaviors`; array<string>, required)
        - one of `"lead"`, `"co_lead"`, `"follow"`
      - `exclusions` (`directory-search.response.200.data.capitalProvider.mandates.exclusions`; array<string>, required)
      - `effectiveAt` (`directory-search.response.200.data.capitalProvider.mandates.effectiveAt`; string, required)
        - format `date-time`
      - `verifiedAt` (`directory-search.response.200.data.capitalProvider.mandates.verifiedAt`; string, required)
        - format `date-time`
      - `expiresAt` (`directory-search.response.200.data.capitalProvider.mandates.expiresAt`; string, required)
        - format `date-time`
      - `freshness` (`directory-search.response.200.data.capitalProvider.mandates.freshness`; object, required)
        - `status` (`directory-search.response.200.data.capitalProvider.mandates.freshness.status`; string, required)
          - one of `"current"`, `"stale"`
        - `warning` (`directory-search.response.200.data.capitalProvider.mandates.freshness.warning`; string, required, nullable)
        - `staleSince` (`directory-search.response.200.data.capitalProvider.mandates.freshness.staleSince`; string, required, nullable)
          - format `date-time`
        - `daysStale` (`directory-search.response.200.data.capitalProvider.mandates.freshness.daysStale`; integer, required)
          - min 0
- `pagination` (`directory-search.response.200.pagination`; object, required)
  - `nextCursor` (`directory-search.response.200.pagination.nextCursor`; string, required, nullable)
  - `hasMore` (`directory-search.response.200.pagination.hasMore`; boolean, required)
  - `limit` (`directory-search.response.200.pagination.limit`; integer, required)
    - min 0
- `resultCount` (`directory-search.response.200.resultCount`; object, required)
  - `value` (`directory-search.response.200.resultCount.value`; integer, required, nullable)
    - min 0
  - `relation` (`directory-search.response.200.resultCount.relation`; string, required)
    - one of `"exact"`, `"approximate"`, `"unavailable"`
- `facets` (`directory-search.response.200.facets`; any of, required)
  - any of:
    - `object`
      - `availability` (`directory-search.response.200.facets.1.availability`; string, required)
        - one of `"available"`
      - `industries` (`directory-search.response.200.facets.1.industries`; array<object>, required)
        - `value` (`directory-search.response.200.facets.1.industries.value`; string, required)
          - one of `"venture_capital"`, `"private_equity"`, `"asset_management"`, `"banking"`, `"insurance"`, `"fintech"`, `"software"`, `"information_technology"`, `"artificial_intelligence"`, `"cybersecurity"`, `"healthcare"`, `"biotechnology"`, `"pharmaceuticals"`, `"medical_devices"`, `"real_estate"`, `"construction"`, `"manufacturing"`, `"energy"`, `"renewable_energy"`, `"telecommunications"`, `"media_entertainment"`, `"retail"`, `"ecommerce"`, `"consumer_goods"`, `"food_beverage"`, `"hospitality"`, `"transportation_logistics"`, `"automotive"`, `"aerospace_defense"`, `"agriculture"`, `"education"`, `"professional_services"`, `"legal"`, `"marketing_advertising"`, `"nonprofit"`, `"government"`, `"other"`
        - `label` (`directory-search.response.200.facets.1.industries.label`; string, required)
    - `object`
      - `availability` (`directory-search.response.200.facets.2.availability`; string, required)
        - one of `"unavailable"`
      - `reason` (`directory-search.response.200.facets.2.reason`; string, required)

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-search.response.400.error`; object, required)
  - `code` (`directory-search.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-search.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`directory-search.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-search.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-search.response.401.error`; object, required)
  - `code` (`directory-search.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-search.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`directory-search.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-search.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-search.response.403.error`; object, required)
  - `code` (`directory-search.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-search.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`directory-search.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-search.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-search.response.404.error`; object, required)
  - `code` (`directory-search.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-search.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`directory-search.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-search.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-search.response.409.error`; object, required)
  - `code` (`directory-search.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-search.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`directory-search.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-search.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-search.response.429.error`; object, required)
  - `code` (`directory-search.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-search.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`directory-search.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-search.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-search.response.500.error`; object, required)
  - `code` (`directory-search.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-search.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`directory-search.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-search.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-search.response.503.error`; object, required)
  - `code` (`directory-search.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-search.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`directory-search.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-search.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/directory/list/index.md
